> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Shopping Lists

GET https://api-b2b.bigcommerce.com/api/v2/shoppinglists

Get all shopping lists.
Equivalent Storefront GraphQL API Query: `shoppingLists`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/shopping-list/get-shoppinglists

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Query parameters

- `offset` (string, optional, default: 0) — Pagination offset
- `limit` (string, optional, default: 20) — Pagination limit
- `isShowAll` (string, optional, default: 1) — If show all
- `orderBy` (string, optional, default: -created_at) — Order by

## Response

### 200

OK

- `code` (double, required)
- `message` (string, required)
- `data` (ShoppinglistsGetResponsesContentApplicationJsonSchemaData, required)

## Types

### ShoppinglistsGetResponsesContentApplicationJsonSchemaData

- `list` (list of ShoppinglistsGetResponsesContentApplicationJsonSchemaDataListItems, required)
- `pagination` (ShoppinglistsGetResponsesContentApplicationJsonSchemaDataPagination, required)

### ShoppinglistsGetResponsesContentApplicationJsonSchemaDataListItems

- `id` (double, required)
- `name` (string, required)
- `status` (double, required) — 0: Approved 20: Deleted 30: Draft 40: Ready for approval
- `description` (string, required)
- `updatedAt` (double, required)
- `createdAt` (double, required)
- `totalCount` (double, required) — Total count of shopping list items
- `customerInfo` (ShoppinglistsGetResponsesContentApplicationJsonSchemaDataListItemsCustomerInfo, optional)

### ShoppinglistsGetResponsesContentApplicationJsonSchemaDataPagination

- `totalCount` (double, required)
- `offset` (double, required)
- `limit` (double, required)

### ShoppinglistsGetResponsesContentApplicationJsonSchemaDataListItemsCustomerInfo

- `firstName` (string, required)
- `lastName` (string, required)
- `userId` (double, required)
- `email` (string, required)

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "list": [
      {
        "id": 441,
        "name": "shopping list name",
        "status": 0,
        "description": "Shopping list desc",
        "updatedAt": 1622601337,
        "createdAt": 1622601337,
        "totalCount": 0,
        "customerInfo": {
          "firstName": "Jo",
          "lastName": "Sweet",
          "userId": 7831,
          "email": "example@example.com"
        }
      }
    ],
    "pagination": {
      "totalCount": 1,
      "offset": 0,
      "limit": 20
    }
  }
}
```

**SDK Code**

```python example-1
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/shoppinglists"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api-b2b.bigcommerce.com/api/v2/shoppinglists';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/shoppinglists"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/shoppinglists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/shoppinglists")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/shoppinglists', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/shoppinglists");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/shoppinglists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```